Package org.eclipse.emf.compare.ide.ui.internal.progress

## Class JobProgressMonitorWrapper

- java.lang.Object
- - org.eclipse.core.runtime.ProgressMonitorWrapper
  - - org.eclipse.emf.compare.ide.ui.internal.progress.JobProgressMonitorWrapper

All Implemented Interfaces:
  `org.eclipse.core.runtime.IProgressMonitor`, `org.eclipse.core.runtime.IProgressMonitorWithBlocking`

    public final class JobProgressMonitorWrapper
    extends org.eclipse.core.runtime.ProgressMonitorWrapper

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor

`UNKNOWN`

### Constructor Summary

Constructors
`JobProgressMonitorWrapper​(org.eclipse.core.runtime.IProgressMonitor monitor, JobProgressInfoComposite progressInfoItem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `beginTask​(String name, int tota)`
`void` `setTaskName​(String name)`
`void` `subTask​(String name)`
`void` `worked​(int work)`

### Methods inherited from class org.eclipse.core.runtime.ProgressMonitorWrapper

`clearBlocked, done, getWrappedProgressMonitor, internalWorked, isCanceled, setBlocked, setCanceled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IProgressMonitor

`slice`

### Constructor Detail

#### JobProgressMonitorWrapper

    public JobProgressMonitorWrapper​(org.eclipse.core.runtime.IProgressMonitor monitor,
                                     JobProgressInfoComposite progressInfoItem)

Parameters:
  `monitor` -

### Method Detail

#### beginTask

    public void beginTask​(String name,
                          int tota)

Specified by:
  `beginTask` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `beginTask` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.beginTask(java.lang.String, int)`

#### setTaskName

    public void setTaskName​(String name)

Specified by:
  `setTaskName` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `setTaskName` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.setTaskName(java.lang.String)`

#### subTask

    public void subTask​(String name)

Specified by:
  `subTask` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `subTask` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.subTask(java.lang.String)`

#### worked

    public void worked​(int work)

Specified by:
  `worked` in interface `org.eclipse.core.runtime.IProgressMonitor`
Overrides:
  `worked` in class `org.eclipse.core.runtime.ProgressMonitorWrapper`
See Also:
  `ProgressMonitorWrapper.worked(int)`